package types

type Menu struct {
	Parent   string `json:"parent"`
	Name     string `json:"name"`
	Label    string `json:"label"`
	Uri      string `json:"uri"`
	ViewPath string `json:"view_path"`
	Icon     string `json:"icon"`
	Hidden   bool   `json:"hidden"`
}

type MenuModel interface {
	GetMenu() *Menu
}

type ModuleModel interface {
	ModuleName() string
}

type PerrmissionModule interface {
	ModelPermissions() map[string]string
}
